#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: skylighting
version: 0.7.2
id: skylighting-0.7.2-Kd8RYeDDXe73Z01ZUJm6Zr
key: skylighting-0.7.2-Kd8RYeDDXe73Z01ZUJm6Zr
license: GPL-2.0-only
copyright: (C) 2016 John MacFarlane
maintainer: jgm@berkeley.edu
author: John MacFarlane
homepage: https://github.com/jgm/skylighting
synopsis: syntax highlighting library
description:
    Skylighting is a syntax highlighting library with
    support for over one hundred languages.  It derives
    its tokenizers from XML syntax definitions used
    by KDE'\''s KSyntaxHighlighting framework, so any
    syntax supported by that framework can be added.
    An optional command-line program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides generated syntax modules
    based on the KDE XML definitions provided by the
    @skylighting-core@ package. As a result this
    package is licensed under the GPL.
category: Text
abi: e1481da8e0a905f8f971e8c97b19e54d
exposed: True
exposed-modules:
    Skylighting,
    Skylighting.Core from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Core,
    Skylighting.Format.ANSI from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Format.ANSI,
    Skylighting.Format.HTML from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Format.HTML,
    Skylighting.Format.LaTeX from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Format.LaTeX,
    Skylighting.Parser from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Parser,
    Skylighting.Regex from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Regex,
    Skylighting.Styles from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Styles,
    Skylighting.Syntax,
    Skylighting.Tokenizer from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Tokenizer,
    Skylighting.Types from skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt:Skylighting.Types
hidden-modules: Skylighting.Syntax.Abc
                Skylighting.Syntax.Actionscript Skylighting.Syntax.Ada
                Skylighting.Syntax.Agda Skylighting.Syntax.Alert
                Skylighting.Syntax.AlertIndent Skylighting.Syntax.Apache
                Skylighting.Syntax.Asn1 Skylighting.Syntax.Asp
                Skylighting.Syntax.Ats Skylighting.Syntax.Awk
                Skylighting.Syntax.Bash Skylighting.Syntax.Bibtex
                Skylighting.Syntax.Boo Skylighting.Syntax.C
                Skylighting.Syntax.Changelog Skylighting.Syntax.Clojure
                Skylighting.Syntax.Cmake Skylighting.Syntax.Coffee
                Skylighting.Syntax.Coldfusion Skylighting.Syntax.Commonlisp
                Skylighting.Syntax.Cpp Skylighting.Syntax.Cs Skylighting.Syntax.Css
                Skylighting.Syntax.Curry Skylighting.Syntax.D
                Skylighting.Syntax.Diff Skylighting.Syntax.Djangotemplate
                Skylighting.Syntax.Dockerfile Skylighting.Syntax.Dot
                Skylighting.Syntax.Doxygen Skylighting.Syntax.Doxygenlua
                Skylighting.Syntax.Dtd Skylighting.Syntax.Eiffel
                Skylighting.Syntax.Elixir Skylighting.Syntax.Email
                Skylighting.Syntax.Erlang Skylighting.Syntax.Fasm
                Skylighting.Syntax.Fortran Skylighting.Syntax.Fsharp
                Skylighting.Syntax.Gcc Skylighting.Syntax.Glsl
                Skylighting.Syntax.Gnuassembler Skylighting.Syntax.Go
                Skylighting.Syntax.Hamlet Skylighting.Syntax.Haskell
                Skylighting.Syntax.Haxe Skylighting.Syntax.Html
                Skylighting.Syntax.Idris Skylighting.Syntax.Ini
                Skylighting.Syntax.Isocpp Skylighting.Syntax.Java
                Skylighting.Syntax.Javadoc Skylighting.Syntax.Javascript
                Skylighting.Syntax.Json Skylighting.Syntax.Jsp
                Skylighting.Syntax.Julia Skylighting.Syntax.Kotlin
                Skylighting.Syntax.Latex Skylighting.Syntax.Lex
                Skylighting.Syntax.Lilypond Skylighting.Syntax.LiterateCurry
                Skylighting.Syntax.LiterateHaskell Skylighting.Syntax.Llvm
                Skylighting.Syntax.Lua Skylighting.Syntax.M4
                Skylighting.Syntax.Makefile Skylighting.Syntax.Mandoc
                Skylighting.Syntax.Markdown Skylighting.Syntax.Mathematica
                Skylighting.Syntax.Matlab Skylighting.Syntax.Maxima
                Skylighting.Syntax.Mediawiki Skylighting.Syntax.Metafont
                Skylighting.Syntax.Mips Skylighting.Syntax.Modelines
                Skylighting.Syntax.Modula2 Skylighting.Syntax.Modula3
                Skylighting.Syntax.Monobasic Skylighting.Syntax.Nasm
                Skylighting.Syntax.Noweb Skylighting.Syntax.Objectivec
                Skylighting.Syntax.Objectivecpp Skylighting.Syntax.Ocaml
                Skylighting.Syntax.Octave Skylighting.Syntax.Opencl
                Skylighting.Syntax.Pascal Skylighting.Syntax.Perl
                Skylighting.Syntax.Php Skylighting.Syntax.Pike
                Skylighting.Syntax.Postscript Skylighting.Syntax.Povray
                Skylighting.Syntax.Powershell Skylighting.Syntax.Prolog
                Skylighting.Syntax.Pure Skylighting.Syntax.Purebasic
                Skylighting.Syntax.Python Skylighting.Syntax.R
                Skylighting.Syntax.Relaxng Skylighting.Syntax.Relaxngcompact
                Skylighting.Syntax.Rest Skylighting.Syntax.Rhtml
                Skylighting.Syntax.Roff Skylighting.Syntax.Ruby
                Skylighting.Syntax.Rust Skylighting.Syntax.Scala
                Skylighting.Syntax.Scheme Skylighting.Syntax.Sci
                Skylighting.Syntax.Sed Skylighting.Syntax.Sgml
                Skylighting.Syntax.SqlMysql Skylighting.Syntax.SqlPostgresql
                Skylighting.Syntax.Sql Skylighting.Syntax.Tcl
                Skylighting.Syntax.Tcsh Skylighting.Syntax.Texinfo
                Skylighting.Syntax.Verilog Skylighting.Syntax.Vhdl
                Skylighting.Syntax.Xml Skylighting.Syntax.Xorg
                Skylighting.Syntax.Xslt Skylighting.Syntax.Xul
                Skylighting.Syntax.Yacc Skylighting.Syntax.Yaml
                Skylighting.Syntax.Zsh
import-dirs: /usr/lib/ghc-8.4.3/site-local/skylighting-0.7.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/skylighting-0.7.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/skylighting-0.7.2
hs-libraries: HSskylighting-0.7.2-Kd8RYeDDXe73Z01ZUJm6Zr
depends:
    base-4.11.1.0 skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt
    mtl-2.2.2 text-1.2.3.0 binary-0.8.5.1 bytestring-0.10.8.2
    directory-1.3.1.5 filepath-1.4.2
    aeson-1.3.1.1-TT45dpTFlI3IDS4gOrl3y
    case-insensitive-1.2.0.11-GjimmYhRn324HWbQThQUra
    attoparsec-0.13.2.2-3qGxeNYxa6yc3jTIgvDuQ
    utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8
    hxt-9.3.1.16-Lr69hF4oLUy8lzl1tKCl5P
    safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    blaze-html-0.9.1.1-20cHaEyBGNsGxpPmCtOdMq containers-0.5.11.0
    ansi-terminal-0.8.0.4-HZ5uOkWM5Gb4ksiKJemtLG
    colour-2.3.4-IbbHdQftwa0BPK9B8AserT
    regex-pcre-0.94.4-4rpGue7olxL5eWtXZFv4hv
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             skylighting-core-0.7.2-KqTQ0t1KHWi7Xj64dFHkbt=40bf3bb366cb3f2bdf064f2c538beb93
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             aeson-1.3.1.1-TT45dpTFlI3IDS4gOrl3y=07d229e9fe1ca7309e20349a237239ed
             case-insensitive-1.2.0.11-GjimmYhRn324HWbQThQUra=bcd8ba72b672d042505b8fc55f637c88
             attoparsec-0.13.2.2-3qGxeNYxa6yc3jTIgvDuQ=d12eb845c076ee59608410c1ed86a159
             utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8=2191a818a7f61b012f58bd96949826c6
             hxt-9.3.1.16-Lr69hF4oLUy8lzl1tKCl5P=3f5e530201813cc785a0454007206dbb
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=f24d7708a3245ecd805ff7d598d8872c
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             blaze-html-0.9.1.1-20cHaEyBGNsGxpPmCtOdMq=7047caae57386baf49e8a9f0b929d8b4
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             ansi-terminal-0.8.0.4-HZ5uOkWM5Gb4ksiKJemtLG=eaed657d24f75590faf3b67ce55e7410
             colour-2.3.4-IbbHdQftwa0BPK9B8AserT=2fac885b9b281c78d4add624ce068507
             regex-pcre-0.94.4-4rpGue7olxL5eWtXZFv4hv=46fed1db062c0483740aa92917d2118b
haddock-interfaces: /usr/share/doc/haskell-skylighting/html/skylighting.haddock
haddock-html: /usr/share/doc/haskell-skylighting/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

